Package org.eclipse.graphiti.ui.internal.services.impl

# Class DummyExportAsImageDiagramTypeProvider

java.lang.Object
org.eclipse.graphiti.platform.AbstractExtension
org.eclipse.graphiti.dt.AbstractDiagramTypeProvider
org.eclipse.graphiti.ui.internal.services.impl.DummyExportAsImageDiagramTypeProvider

All Implemented Interfaces:
  `IDiagramTypeProvider`, `IFeatureProviderHolder`, `IExtension`

public class DummyExportAsImageDiagramTypeProvider extends AbstractDiagramTypeProvider

## Constructor Summary

Constructors
Constructor
Description
`DummyExportAsImageDiagramTypeProvider()`

## Method Summary

Modifier and Type
Method
Description
`IFeatureProvider`
`getFeatureProvider()`
Gets the feature provider.
`IGraphicsAlgorithmRendererFactory`
`getGraphicsAlgorithmRendererFactory()`
Gets the graphics algorithm renderer factory.

### Methods inherited from class org.eclipse.graphiti.dt.AbstractDiagramTypeProvider

`dispose, getAvailableToolBehaviorProviders, getContextId, getCurrentToolBehaviorIndex, getCurrentToolBehaviorProvider, getDiagram, getDiagramBehavior, getDiagramTitle, getNotificationService, getRelatedBusinessObjects, init, isAutoUpdateAtReset, isAutoUpdateAtRuntime, isAutoUpdateAtRuntimeWhenEditorIsSaved, isAutoUpdateAtStartup, postInit, resourceReloaded, resourcesSaved, setContextId, setCurrentToolBehaviorIndex, setFeatureProvider`

### Methods inherited from class org.eclipse.graphiti.platform.AbstractExtension

`getProviderId, setProviderId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.platform.IExtension

`getProviderId, setProviderId`

## Constructor Details

### DummyExportAsImageDiagramTypeProvider

public DummyExportAsImageDiagramTypeProvider()

## Method Details

### getFeatureProvider

public IFeatureProvider getFeatureProvider()
Description copied from interface: `IFeatureProviderHolder`
Gets the feature provider.

Specified by:
  `getFeatureProvider` in interface `IFeatureProviderHolder`
Overrides:
  `getFeatureProvider` in class `AbstractDiagramTypeProvider`
Returns:
  the feature provider

### getGraphicsAlgorithmRendererFactory

public IGraphicsAlgorithmRendererFactory getGraphicsAlgorithmRendererFactory()
Description copied from interface: `IDiagramTypeProvider`
Gets the graphics algorithm renderer factory.

Specified by:
  `getGraphicsAlgorithmRendererFactory` in interface `IDiagramTypeProvider`
Overrides:
  `getGraphicsAlgorithmRendererFactory` in class `AbstractDiagramTypeProvider`
Returns:
  the graphics algorithm renderer factory